2 2

[alpine-devel] [PATCH] Initial APKBUILD file for xl2tpd

Fabian Affolter
Details
Message ID
<1309622268-9378-1-git-send-email-fabian@affolter-engineering.ch>
Sender timestamp
1309622268
DKIM signature
missing
Download raw message
Patch: +84 -0
This package was requested in ticket #699.

Package description
xl2tpd is an implementation of the Layer 2 Tunnelling Protocol (RFC 2661).
L2TP allows you to tunnel PPP over UDP. Some ISPs use L2TP to tunnel user
sessions from dial-in servers (modem banks, ADSL DSLAMs) to back-end PPP
servers. Another important application is Virtual Private Networks where
the IPsec protocol is used to secure the L2TP connection (L2TP/IPsec,
RFC 3193). The L2TP/IPsec protocol is mainly used by Windows and
Mac OS X clients. On Linux, xl2tpd can be used in combination with IPsec
implementations such as Openswan.
---
 testing/xl2tpd/APKBUILD     |   46 +++++++++++++++++++++++++++++++++++++++++++
 testing/xl2tpd/xl2tpd.confd |    7 ++++++
 testing/xl2tpd/xl2tpd.initd |   31 +++++++++++++++++++++++++++++
 3 files changed, 84 insertions(+), 0 deletions(-)
 create mode 100644 testing/xl2tpd/APKBUILD
 create mode 100644 testing/xl2tpd/xl2tpd.confd
 create mode 100644 testing/xl2tpd/xl2tpd.initd

diff --git a/testing/xl2tpd/APKBUILD b/testing/xl2tpd/APKBUILD
new file mode 100644
index 0000000..80adeb8
--- /dev/null
+++ b/testing/xl2tpd/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer:
+pkgname=xl2tpd
+pkgver=1.2.8
+pkgrel=0
+pkgdesc="A layer 2 tunneling protocol daemon"
+url="http://www.xelerance.com/services/software/xl2tpd/"
+arch="all"
+license="GPL2"
+depends="ppp"
+depends_dev=""
+makedepends="libpcap-dev"
+install=""
+subpackages="$pkgname-doc"
+source="ftp://ftp.xelerance.com/xl2tpd/$pkgname-$pkgver.tar.gz
+	$pkgname.initd
+	$pkgname.confd
+	"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make \
+		DESTDIR="$pkgdir" \
+		PREFIX=/usr \
+		MANDIR="$pkgdir"/usr/share/man \
+		install || return 1
+
+	install -m755 -D "$srcdir"/$pkgname.initd \
+		"$pkgdir"/etc/init.d/$pkgname || return 1
+	install -m644 -D "$srcdir"/$pkgname.confd \
+		"$pkgdir"/etc/conf.d/$pkgname || return 1
+	# Install sample configuration file
+	install -m755 -D "$srcdir"/$pkgname-$pkgver/examples/$pkgname.conf \
+		"$pkgdir"/etc/$pkgname/$pkgname.conf || return 1
+}
+
+md5sums="8748ac5e2f5289963d9a908eede546b5  xl2tpd-1.2.8.tar.gz
+a6228e5a9894209ba3b0e7ca063fe722  xl2tpd.initd
+cbcac88f5b728b1441891947a4babbcb  xl2tpd.confd"
diff --git a/testing/xl2tpd/xl2tpd.confd b/testing/xl2tpd/xl2tpd.confd
new file mode 100644
index 0000000..486252b
--- /dev/null
+++ b/testing/xl2tpd/xl2tpd.confd
@@ -0,0 +1,7 @@
+# Sample conf.d file for alpine linux
+
+#
+# Specify daemon options here.
+#
+
+sample_opts=""
diff --git a/testing/xl2tpd/xl2tpd.initd b/testing/xl2tpd/xl2tpd.initd
new file mode 100644
index 0000000..4b338c6
--- /dev/null
+++ b/testing/xl2tpd/xl2tpd.initd
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+
+# Sample init.d file for alpine linux.
+
+name=xl2tpd
+daemon=/usr/sbin/$name
+user=nobody
+group=nobody
+
+depend() {
+	need net
+	after firewall
+}
+
+start() {
+	ebegin "Starting ${name}"
+		start-stop-daemon --start --quiet \
+			--pidfile /var/run/${name}.pid \
+			--chuid ${user}:${group} \
+			--exec ${daemon} -- ${sample_opts}
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping ${name}"
+		start-stop-daemon --stop --quiet \
+			--pidfile /var/run/$name.pid \
+			--exec ${daemon}
+	eend $?
+}
+
-- 
1.7.4.5



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
William Pitcock
Details
Message ID
<CA+T2pCHQCWnADUMFy3rX9WOxXjTTJNBLvRtDVucny7=JcHT5QA@mail.gmail.com>
In-Reply-To
<1309622268-9378-1-git-send-email-fabian@affolter-engineering.ch> (view parent)
Sender timestamp
1309716736
DKIM signature
missing
Download raw message
hi,

On Sat, Jul 2, 2011 at 10:57 AM, Fabian Affolter
<fabian@affolter-engineering.ch> wrote:
>
> This package was requested in ticket #699.
>
> Package description
> xl2tpd is an implementation of the Layer 2 Tunnelling Protocol (RFC 2661).
> L2TP allows you to tunnel PPP over UDP. Some ISPs use L2TP to tunnel user
> sessions from dial-in servers (modem banks, ADSL DSLAMs) to back-end PPP
> servers. Another important application is Virtual Private Networks where
> the IPsec protocol is used to secure the L2TP connection (L2TP/IPsec,
> RFC 3193). The L2TP/IPsec protocol is mainly used by Windows and
> Mac OS X clients. On Linux, xl2tpd can be used in combination with IPsec
> implementations such as Openswan.
> ---
>  testing/xl2tpd/APKBUILD     |   46 +++++++++++++++++++++++++++++++++++++++++++
>  testing/xl2tpd/xl2tpd.confd |    7 ++++++
>  testing/xl2tpd/xl2tpd.initd |   31 +++++++++++++++++++++++++++++
>  3 files changed, 84 insertions(+), 0 deletions(-)
>  create mode 100644 testing/xl2tpd/APKBUILD
>  create mode 100644 testing/xl2tpd/xl2tpd.confd
>  create mode 100644 testing/xl2tpd/xl2tpd.initd
>
> diff --git a/testing/xl2tpd/APKBUILD b/testing/xl2tpd/APKBUILD
> new file mode 100644
> index 0000000..80adeb8
> --- /dev/null
> +++ b/testing/xl2tpd/APKBUILD
> @@ -0,0 +1,46 @@
> +# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
> +# Maintainer:
> +pkgname=xl2tpd
> +pkgver=1.2.8
> +pkgrel=0
> +pkgdesc="A layer 2 tunneling protocol daemon"
> +url="http://www.xelerance.com/services/software/xl2tpd/"
> +arch="all"
> +license="GPL2"
> +depends="ppp"
> +depends_dev=""
> +makedepends="libpcap-dev"
> +install=""
> +subpackages="$pkgname-doc"
> +source="ftp://ftp.xelerance.com/xl2tpd/$pkgname-$pkgver.tar.gz
> +       $pkgname.initd
> +       $pkgname.confd
> +       "
> +
> +_builddir="$srcdir"/$pkgname-$pkgver
> +
> +build() {
> +       cd "$_builddir"
> +       make || return 1
> +}
> +
> +package() {
> +       cd "$_builddir"
> +       make \
> +               DESTDIR="$pkgdir" \
> +               PREFIX=/usr \
> +               MANDIR="$pkgdir"/usr/share/man \
> +               install || return 1
> +
> +       install -m755 -D "$srcdir"/$pkgname.initd \
> +               "$pkgdir"/etc/init.d/$pkgname || return 1
> +       install -m644 -D "$srcdir"/$pkgname.confd \
> +               "$pkgdir"/etc/conf.d/$pkgname || return 1
> +       # Install sample configuration file
> +       install -m755 -D "$srcdir"/$pkgname-$pkgver/examples/$pkgname.conf \
> +               "$pkgdir"/etc/$pkgname/$pkgname.conf || return 1

if the package example configuration is useful, then you should
install it as a default configuration.

>
> +}
> +
> +md5sums="8748ac5e2f5289963d9a908eede546b5  xl2tpd-1.2.8.tar.gz
> +a6228e5a9894209ba3b0e7ca063fe722  xl2tpd.initd
> +cbcac88f5b728b1441891947a4babbcb  xl2tpd.confd"
> diff --git a/testing/xl2tpd/xl2tpd.confd b/testing/xl2tpd/xl2tpd.confd
> new file mode 100644
> index 0000000..486252b
> --- /dev/null
> +++ b/testing/xl2tpd/xl2tpd.confd
> @@ -0,0 +1,7 @@
> +# Sample conf.d file for alpine linux
> +
> +#
> +# Specify daemon options here.
> +#
> +
> +sample_opts=""

this should be renamed to either 'opts' or 'xl2tpd_opts'.  it may be
additionally helpful to list commonly
used options.

>
> diff --git a/testing/xl2tpd/xl2tpd.initd b/testing/xl2tpd/xl2tpd.initd
> new file mode 100644
> index 0000000..4b338c6
> --- /dev/null
> +++ b/testing/xl2tpd/xl2tpd.initd
> @@ -0,0 +1,31 @@
> +#!/sbin/runscript
> +
> +# Sample init.d file for alpine linux.

please remove this comment.

> +
> +name=xl2tpd
> +daemon=/usr/sbin/$name
> +user=nobody
> +group=nobody
> +
> +depend() {
> +       need net
> +       after firewall
> +}
> +
> +start() {
> +       ebegin "Starting ${name}"
> +               start-stop-daemon --start --quiet \
> +                       --pidfile /var/run/${name}.pid \
> +                       --chuid ${user}:${group} \
> +                       --exec ${daemon} -- ${sample_opts}

${sample_opts} needs to be renamed to ${xl2tpd_opts} as mentioned above.

> +       eend $?
> +}
> +
> +stop() {
> +       ebegin "Stopping ${name}"
> +               start-stop-daemon --stop --quiet \
> +                       --pidfile /var/run/$name.pid \
> +                       --exec ${daemon}
> +       eend $?
> +}
> +
> --
> 1.7.4.5
>

otherwise it looks fine.  however, maintainer field is blank, so it
won't be able to leave testing without a maintainer.

william


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20110703210420.7a7b6651@alpinelinux.org>
In-Reply-To
<CA+T2pCHQCWnADUMFy3rX9WOxXjTTJNBLvRtDVucny7=JcHT5QA@mail.gmail.com> (view parent)
Sender timestamp
1309719860
DKIM signature
missing
Download raw message
On Sun, 3 Jul 2011 13:12:16 -0500
William Pitcock <nenolod@dereferenced.org> wrote:

> hi,
> 
> On Sat, Jul 2, 2011 at 10:57 AM, Fabian Affolter
> <fabian@affolter-engineering.ch> wrote:
> >
> > This package was requested in ticket #699.
> >
...

Fabian,

I agree with nenolods comments. Care to end a new patch with the above
fixed? Don't worry too much about the maintainer field. We can always
arrange something there.

If you prefer get your patch committed and clean up later thats ok too.
(sometimes you have testers that are ready to test early and then i
think its ok to push things to "testing")

Also, very nice that you keep an eye on the bug tracker and help us
with those. Appreciated.

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---